/* Главная страница */
@media (max-width: 1100px) {
    .container {
        max-width: 1125px;
        width: 100%;
        grid-template-columns: repeat(4, 1fr);
    }

    .header {
        border-radius: 0;
    }

    .flexmenu {
        margin: 0 32px;
    }

    .region-info .submenu__list {
        position: absolute;
        z-index: 9999;
        top: 30px;
        right: -15px;
        padding: 0;
        list-style: none;
        box-shadow: 0 0 3px rgba(0,0,0,0.25);
    }

    .region-info .submenu__list > li {
        padding: 8px 15px;
        box-sizing: border-box;
    }

    .region-info .submenu__list a {
        padding: 0;
    }

    .region-info .submenu__list > li,
    .region-info .submenu__list > li > a {
        color: #000;
        white-space: nowrap;
    }

    .footer__item {
        margin-bottom: 64px;
        width: calc(100%/2 - 30px/2);
    }

    .footer__item:not(:last-child) {
        margin-right: 0;
    }

    .footer__item:nth-child(odd) {
        margin-right: 30px;
    }
}

@media (max-width: 1000px) {
    .news__content  {
        column-count: 2;
    }
}

@media (max-width: 800px) {
    .header__panel {
        margin: auto;
    }

    .header__panel > ul {
        position: relative;
        flex-wrap: wrap;
    }

    .header__panel > ul .to-right {
        margin-left: unset !important;
    }
}

/* Каталог недвижимости */
#mse2_mfilter .btn_more {
    width: auto !important;
}
@media (max-width: 1024px) {
    .catalog {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 800px) {
    .catalog {
        grid-template-columns: repeat(2, 1fr);
    }

    .ajax-form {
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
    }

    .form-group {
        height: auto;
    }

    .form-group:not(:nth-child(3n)) {
        margin-right: 0;
    }
}

@media (max-width: 700px) {
    .adv-widget {
        padding-top: 250px !important;
        background: linear-gradient(360deg, #FFF 50%, rgba(255, 255, 255, 0.00) 100%), url(https://fregat.site/v3/img/adv-1.jpg) !important;
    }

    .adv__list {
        width: 100% !important;
    }

    .news__content {
        column-count: 1;
    }

    .news__content .blog__article:nth-child(1) {
        height: auto;
    }

    .news__content .blog__article:nth-child(2), .news__content .blog__article:nth-child(3) {
        height: auto;
    }

    .subfooter {
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .subfooter__item:first-child {
        margin-bottom: 32px;
    }

    .subfooter small {
        text-align: left;
    }
}

@media (max-width: 600px) {
    .text {
        column-count: 1;
    }
}

@media (max-width: 550px) {
    .ajax-form {
        grid-template-columns: 1fr;
    }

    .catalog {
        grid-template-columns: auto;
        justify-content: center;
    }

    .complexes .catalog__item {
        max-width: 300px;
    }

    .news__content {
        padding: 0 !important;
    }

    .footer__item {
        width: 100%;
    }

    .btn {
        /* width: 100%; */
    }
}

@media (max-width: 440px) {
    .article .blog__nav {
        padding-left: 0 !important;
    }

    .faq-widget {
        padding: 0 !important;
    }
}

@media (max-width: 400px) {
    .catalog {
        padding: 0;
    }

    .article__top-panel {
        flex-direction: column;
        gap: 8px;
    }
}

/* Каталог застройщиков */
@media (max-width: 900px) {
    .developer__container {
        column-count: 2 !important;
    }
}

@media (max-width: 600px) {
    .developer__container {
        padding: 0 !important;
        column-count: 1 !important;
    }
}

/* Блог */
@media (max-width: 900px) {
    .blog .blog__container {
        flex-direction: column-reverse;
    }

    .blog__content {
        width: 100%;
    }

    .blog .blog__nav {
        margin-bottom: 16px;
        padding: 16px 0;
        width: 100%;
        top: 125px;
        align-items: flex-start;
        box-sizing: border-box;
        background: #F5F5F5;
    }

    .blog .blog__list {
        margin: 0;
        width: 100%;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .blog .blog__list--item {
        margin-right: 8px;
        margin-bottom: 8px;
    }

    .blog .blog__list--link {
        padding: 8px 16px;
        white-space: nowrap;
        background-color: #FFF;
    }

    .article__wrapper>* {
        width: 100%;
        padding-left: 32px;
        padding-right: 32px;
        box-sizing: border-box;
    }
}

@media (max-width: 500px) {
    .blog .blog__nav {
        margin-bottom: 16px;
        padding: 16px 0;
        width: 100%;
        top: 60px;
        align-items: flex-start;
        box-sizing: border-box;
        background: #F5F5F5;
    }

    .blog .blog__list {
        width: 100%;
        flex-wrap: unset;
        overflow-y: scroll;
    }

    .blog .blog__list::-webkit-scrollbar {
        width: 0;
    }

    .article__wrapper>* {
        padding-left: 16px;
        padding-right: 16px;
    }
}

@media (max-width: 440px) {
    .blog .blog__nav {
        padding: 0 !important;
        padding-top: 16px !important;
    }

    .blog .blog__list {
        padding-top: 16px;
        padding-bottom: 0;
    }

    .blog .blog__content {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .article__wrapper>* {
        padding-left: 0;
        padding-right: 0;
    }
}

/* Застройщик */
.plan .calc {
    margin-right: 0;
}

.plan .fieldset {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 32px;
}

.plan .calc__fieldset {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
}

.plan .fieldset .label-calc__checkbox {
    justify-content: flex-end;
}

.plan .calc__fieldset label {
    width: 100% !important;
}

@media (max-width: 800px) {
    .plan .fieldset {
        grid-template-columns: repeat(2, 1fr);
    }

    .adv-list {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 32px;
    }

    .adv-item {
        width: 100%;
    }

    .adv-item:not(:last-child) {
        margin-right: 0;
    }
}

@media (max-width: 600px) {
    .plan .fieldset {
        grid-template-columns: 1fr;
    }

    .label-calc__checkbox {
        white-space: normal;
        font-size: 12px;
    }
}

@media (max-width: 500px) {
    .adv-list {
        grid-template-columns: 1fr;
    }

    .promo {
        padding: 0;
    }

    .promo__img--fill {
        width: calc(100% + 64px);
    }

    .plan .calc-section .title__section {
        padding: 0;
    }

    .plan .reviews--empty-wrapper {
        padding: 0;
    }

    .plan .lr-padding {
        padding: 0;
    }

    .plan .calc .fieldset:first-child .label-calc {
        width: 100% !important;
    }

    .label-calc {
        margin-bottom: 16px;
    }
}

@media (max-width: 440px) {
    .plan .calc .fieldset:first-child .label-calc {
        width: 100% !important;
    }
}

@media (max-width: 400px) {
    .plan .fieldset {
        grid-template-columns: 1fr !important;
        gap: 4px !important;
    }

    .plan .calc__fieldset {
        gap: 16px !important;
    }
}

/* Жилой комплекс */
@media (max-width: 1024px) {
    .widget-info {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 32px;
    }
}

@media (max-width: 900px) {
    .calc__container {
        flex-direction: column;
    }

    .calc {
        margin-right: 0;
        margin-bottom: 30px;
        width: 100%;
    }

    .calc .calc__fieldset {
        margin-bottom: 0;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 16px;
    }

    .calc__result {
        width: 100%;
    }
}

@media (max-width: 800px) {
    .widget-info {
        grid-template-columns: repeat(2, 1fr);
    }

    .image__container {
        width: 100%;
    }

    .widget-advantages {
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 16px;
    }
}

@media (max-width: 700px) {
    .gallery {
        padding: 0 15px !important;
        box-sizing: border-box !important;
    }
}

@media (max-width: 650px) {
    .widget-advantages {
        grid-template-columns: 1fr;
    }

    .calc .fieldset {
        margin-bottom: 16px;
        grid-template-columns: repeat(2, 1fr);
    }

    .calc .calc__fieldset {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 500px) {
    .btn__infrastructure {
        top: 4px;
        right: 4px;
        /* border-radius: 32px; */
    }

    .widget-infrastructure {
        width: calc(100% - 8px);
        top: 4px;
        right: 4px;
    }

    .calc__result {
        padding: 0 !important;
    }
}

/* Контакты */
@media (max-width: 900px) {
    .contacts-page {
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 16px;
    }

    .contacts-page .map {
        grid-column-start: 1;
        grid-column-end: 3;
    }
}

@media (max-width: 700px) {
    .popup-form {
        width: 100%;
    }
}

@media (max-width: 650px) {
    #consultation .wrapper {
        flex-direction: column-reverse;
    }

    #consultation .one-side {
        width: 100%;
    }

    #consultation .right-side {
        margin-bottom: 32px;
    }

    #consultation .left-side {
        margin-right: 0;
    }
}

@media (max-width: 550px) {
    .contacts-page {
        grid-template-columns: 1fr !important;
        gap: 16px;
    }

    .contacts-page .map {
        grid-column-start: 1;
        grid-column-end: 1;
    }
}

@media (max-width: 500px) {
    .contacts-page {
        padding: 0 !important;
    }
    
    .consultation-form-wrapper {
        padding: 0 !important;
    }

    .popup__title {
        font-size: 28px;
        text-align: left;
    }
}

@media (max-width: 320px) {
    .btn {
        font-size: 12px;
    }
}